-- RELEASE-16.09 - Second LibrePilot Release -- Black Rhino
This is the second LibrePilot release.

This release introduces new features and new hardware support like Sparky2 board and improved external mag support.

New hardware support: 
    Sparky2 board, Auxiliary Magnetometer: I2C and Naza GPS, Revo FlexiIO port usage e.g. PPM+GPS

New input modes: 
    Jeti Ex.Bus, Graupner Hott, FlySky IBus, PPM up to 16 channels, Revo/Sparky2 as OpenLRS receiver.

New telemetry protocols: 
    MSP, MAVLink. OSD devices that use those protocols may now be connected directly (e.g.: minimosd with MWOSD).

New Flight oriented features: 
    AlwaysStabilizeWhenArmed (Airmode) using switch, Measurement based D term gives smoother flight
    SuperExpo (you may need half expo value compared to rel15.09), Camera tilt compensation,
    Autotune module (except CC3D).

GCS improvements:
    PFD with terrain / OsgEarth improvements
    Failsafe settings using GUI
    Vehicle and Transmitter wizard improvements

Known issues:
    * [LP-289] - pidcontrol ne and down have nan dz if kp is zero

The full list of bug fixes and enhancements in this release is available here:
https://librepilot.atlassian.net/issues/?filter=10500


Release Notes - LibrePilot - Version REL-16.09

** Sub-task
    * [LP-120] - Add Ublox GPS + I2C Mag to Wizard

** Bug
    * [LP-59] - Replace openpilot email address in packaging
    * [LP-83] - Bricking of Revo and Sparky2
    * [LP-111] - Fix directory hash calculated to only include tracked files
    * [LP-119] - #if used instead of #ifdef in pios_msheap.c
    * [LP-139] - Erroneous warning about missing pfd.svg
    * [LP-143] - Fix the "firmware upload no responding" issue
    * [LP-145] - CC3D GPS issue
    * [LP-154] - Fix gitignore - bare config causes all config directories to be ignored.
    * [LP-160] - Set default AccelTau value
    * [LP-165] - Acro+ factor range in TxPID
    * [LP-167] - Stable version checker points to bad url
    * [LP-171] - Acro+ Link Roll and Pitch affects all banks
    * [LP-175] - Fix src rpm name
    * [LP-181] - QT5.5 : PFD parts are broken
    * [LP-182] - CC3D/Revonano OPlink Telemetry issue @38400
    * [LP-184] - make: incremental build issues
    * [LP-185] - Debian dist detection broken
    * [LP-191] - Make TxWizard more robust
    * [LP-193] - Remove Libpng warnings 
    * [LP-197] - QT-5.5.1 broken translations
    * [LP-198] - Cannot detect lost of PPM signal 
    * [LP-204] - Fast_invsqrtf() issue
    * [LP-205] - Rate trainer wobble at max angle
    * [LP-206] - AlwaysStabilizeWhenArmed need to be disabled at takeoff/landing
    * [LP-209] - Oplm link_quality still good with link lost
    * [LP-215] - OpLink controller Tx should force failsafe if PPM stream fails
    * [LP-216] - GCS misbehaves on high DPI devices
    * [LP-218] - msys2 provided opengl library breaks GCS
    * [LP-221] - Increase Revo System stack size
    * [LP-222] - Building osg and osgearth fails
    * [LP-223] - Unit tests build is broken
    * [LP-228] - CC3D reboot while import config file
    * [LP-241] - Allow CruiseControl for Rate mode at least
    * [LP-245] - GCS unsaved data prompt when nothing changed
    * [LP-249] - Fix bug introduced in LP-235
    * [LP-251] - UAVObjectGeneratorGCS::process_object uses incorrect param null check
    * [LP-252] - GPSv9 drops packets
    * [LP-257] - OSX compile issue introduced by a93f182
    * [LP-258] - Update flight controller in real time locks to basic tab
    * [LP-261] - Upgrade GCS map versions
    * [LP-263] - GCS default config updates
    * [LP-266] - pitch virtual board rotation in gui is limited to 90 degrees
    * [LP-273] - Reset Mag alarm when going back to Basic complementary fusion algorithm
    * [LP-274] - Consistent Attitude board rotation values for all boards
    * [LP-275] - OSX build errors
    * [LP-277] - OPMap compilation warning
    * [LP-281] - PIOS_SENSORS_GetInstanceByType() has incorrect matching operator
    * [LP-285] - Tx Wizard : Set Accessory neutral to middle range
    * [LP-289] - pidcontrol ne and down have nan dz if kp is zero
    * [LP-290] - Windows GCS uninstall is very long
    * [LP-299] - gcc5 building isnan issue
    * [LP-305] - GCS crashes shortly after start on OSX - when loading OPMap gadget
    * [LP-309] - When arming with accessory switch, disarming timeout doesn't work.
    * [LP-310] - osg: random GCS crashes when switching or closing PFDQml gadgets
    * [LP-312] - GCS config - attitude - mag tab offers sparky2 i2c port on revo
    * [LP-313] - using UAVObjectBrowser filter text always enables metadata display
    * [LP-321] - MSP in ReceiverPort menu for RevoNano
    * [LP-333] - Sparky2 I2CPort needs GPIO_PuPd_UP instead of NOPULL
    * [LP-339] - Avoid AutoTakeOff flight mode while already armed
    * [LP-341] - VCP doesn't work on Windows 10 or 8.1
    * [LP-362] - GCS crashes when logging to file with -log command line argument
    * [LP-363] - OPMap missing tiles
    * [LP-369] - Fix availability condition for VCP
    * [LP-382] - MSP stack overflow on PID save op.
    * [LP-387] - Sparky2 analog port mapping
    * [LP-388] - Wrong AuxMag calibration due to wrong initial settings
    * [LP-391] - Some CC3D ports cause a boot issue and re-init to defaults.
    * [LP-392] - Revo attitude settings is missing the "Zero gyro when arming" checkbox
    * [LP-395] - Raise BoardSteadyMaxVariance to support some boards having higher gyro noise
    * [LP-400] - Doxygen document build fails with latex errors
    * [LP-401] - Reboot is required after AutoTune is set in FMS
    * [LP-406] - Windows driver fails to install
    * [LP-409] - make fw_dist fails on windows
    * [LP-421] - GCS setup wizard welcome panel is too big on high dpi screens
    * [LP-423] - HMC5x83 driver dereferences null pointer
    * [LP-424] - pios_openlrs.c has incorrect reference to rfm22b_id
    * [LP-429] - changes to FlightModeSettings do not trigger a configuration check
    * [LP-444] - I2C alarm
    * [LP-447] - ESC calibration failure with FVT LitteBee 20A


** Story
    * [LP-32] - osgearth integration (follow up cleanups)

** New Feature
    * [LP-29] - osgearth integration
    * [LP-149] - Add STM32F427/429/437/439 chip support, preparation for brand new board.
    * [LP-212] - Support DJI GPS and mag combo uses one port
    * [LP-214] - Camera tilt compensation
    * [LP-233] - OneShot42 / MultiShot support
    * [LP-280] - After firmware boots, start calibration when vehicle is not moving
    * [LP-286] - Port search field in UAVBrowser from TL
    * [LP-291] - Port MSP support from dRonin
    * [LP-298] - Create iBus support for RX
    * [LP-327] - Wait for board to be steady before calibrating gyro
    * [LP-364] - Port and improve MavLink support from dRonin
    * [LP-425] - Add Credits to the About dialog

** Task
    * [LP-2] - Upgrade to Qt 5.5
    * [LP-30] - osg/osgearth/marble build scripts
    * [LP-40] - Add support for TravisCI
    * [LP-72] - Sparky 2 support
    * [LP-73] - External Mags on I2C
    * [LP-76] - Port Tau Labs Autotune to LP
    * [LP-88] - Remove OpenPilot branding from .commit-template
    * [LP-140] - Update Logo files in Artwork
    * [LP-186] - Add copyright to qml and js files
    * [LP-187] - Use Msys2
    * [LP-194] - Hide Yaw Attitude related parameter from Stabilization panel
    * [LP-195] - Update World Magnetic Model
    * [LP-200] - Remove Opie
    * [LP-201] - Update Y6 mixer
    * [LP-208] - Upgrade to Qt 5.6
    * [LP-230] - PFD refresh after recent additions
    * [LP-247] - Add Naza GPS/Mag to Wizard
    * [LP-267] - Enable more options in the current GUI for fusion algorithm
    * [LP-292] - Oplink tab cleanup
    * [LP-306] - Update Ubuntu PPA to build with osgearth
    * [LP-307] - Set up Tea CI
    * [LP-315] - Update vehicle templates
    * [LP-317] - Update RPM packaging for osgearth
    * [LP-325] - Reduce the threshold for ASWA switch
    * [LP-328] - Sparky2 reboots constantly with only USB power and unpowered external mag
    * [LP-330] - Fix copyright symbol in all code, make it consistent
    * [LP-349] - shut up the plan warning alarm
    * [LP-373] - Add bitbucket pipelines
    * [LP-374] - Build x86_64 windows on TeaCI as well.
    * [LP-394] - Upload build results from Tea-Ci

** Improvement
    * [LP-96] - Review CPU idle time counter
    * [LP-97] - Unify Init process between revo*-cc3d boards
    * [LP-104] - HOTT SUMD support
    * [LP-147] - Rc transmitter wizard : Auto detect flight mode number
    * [LP-150] - Run Attitude calculation on CC/CC3D at slower rate than gyro samples
    * [LP-151] - Settable OPLink (and FC) Device ID
    * [LP-164] - change OSX dmg .webloc to point to LP website
    * [LP-168] - Copy the same content and url list as www.librepilot.org in README.md 
    * [LP-174] - Add current value display to RcInput tab
    * [LP-176] - Allow overriding of package type
    * [LP-177] - Make debian package src use pre-compiled firmware
    * [LP-178] - Add pass through feature for FixedWing
    * [LP-179] - Highlight stabilization mode currently used
    * [LP-183] - upgrade GCS uav object generator to Qt 5.5
    * [LP-190] - Add openLRSng Rx support to OPLink/Revo
    * [LP-196] - JETI EX Bus communication protocol support
    * [LP-207] - EventDispatcher: Add "fast" callbacks
    * [LP-219] - OPLink module should accept more than 8 PPM channels
    * [LP-232] - Display flight mode alarm while setup
    * [LP-235] - Make Failsafe settings more user friendly by allowing them to be set in the Configuration tab
    * [LP-238] - Consolidate CPP firmware requirements within apps/boot-defs.mk
    * [LP-239] - GPS on Flexi IO on Revo
    * [LP-240] - Aux Mag setup help and GUI
    * [LP-254] - Set CruiseControl default CruiseControlMaxThrust to 100
    * [LP-256] - Sparky2 timers and output banks and PPM
    * [LP-268] - Add TX and RX packet rates to OPLink stats.
    * [LP-269] - IoT Stream Service
    * [LP-272] - Altitude velocity Integral default value is set too high
    * [LP-276] - Measurement based D term
    * [LP-293] - Add AlarmString() to alarms library.
    * [LP-295] - OP-1900 fix autotakeoff/landing to not break fixed wing
    * [LP-302] - Change motor numbering on config - vehicle tab to directional like NW
    * [LP-304] - Improvements for performance counters
    * [LP-311] - GCS jumps back to Basic Stabilization if FC changes anything
    * [LP-322] - USB Com Bridge functionality on OPLink
    * [LP-324] - MSP on Sparky2
    * [LP-326] - supporting 16 channels PPM
    * [LP-335] - add support for address sanitizer in GCS build system
    * [LP-338] - upgrade GCS to Qt 5.6.1
    * [LP-340] - AutoTune fix some time measurement issues in original code
    * [LP-342] - pios_exti to allow runtime (re)configuration
    * [LP-343] - PIOS_COM_Available() needs to give out more details about RX and TX availability
    * [LP-352] - Increase Expo effect for high rates
    * [LP-354] - Add Ublox AssistNow Autonomous setting
    * [LP-361] - Led notification improvements
    * [LP-365] - Cleanup com port setup in pios_board.c for coptercontrol
    * [LP-366] - Set default velocity and altitude in gcs for new waypoints 
    * [LP-377] - ComBridge Speed settings delete
    * [LP-379] - Add receiverActivity to RC Input tab
    * [LP-390] - Fix UAVO telemetry errors
    * [LP-396] - Yaw AcroPlus controls in GUI
    * [LP-410] - silence GCS logs
    * [LP-411] - AutoTune Limit Outer PIDs on Powerful Multicopters - dRonin PR 1283
    * [LP-417] - Heartbeat LED on OPLink
    * [LP-428] - Reduce the threshold for arming switch
    * [LP-441] - Template - Wizard dialog on small screens


-- RELEASE-15.09 - First LibrePilot Release -- Supermoon Eclipse
This is the first LibrePilot release. 
The main focus of this release is to bring back support for CC3D and a general re-branding of the GCS.

The full list of bug fixes and enhancements in this release is available here:
https://librepilot.atlassian.net/issues/?filter=10300


** Bug
    * [LP-37] - Memory wasted in pvPortMallocGeneric
    * [LP-57] - Errors during NewsPanel data scraping
    * [LP-58] - Splash Screen doesn't display
    * [LP-59] - Replace openpilot email address in packaging
    * [LP-65] - Heli config tab refresh
    * [LP-69] - Add SRXL to CC3D target
    * [LP-70] - Vehicle Setup Wizard allows a not working CC3D configuration
    * [LP-84] - Nano (Revo Nano) does not automatically select correct firmware after Firmware then Halt
    * [LP-89] - Port bug fixes from OP HotFix 150501
    * [LP-107] - Motors could accidentally turn off with the recent motor output scaling feature
    * [LP-115] - TPS and Acro+ settings are initialized incorrectly
    * [LP-116] - Add uninstall to Makefile to prevent side effects from Installing over a previous installation
    * [LP-123] - EasyTune yaw calculation is active even if easytune is not active
    * [LP-125] - PathUtils should return absolute pathes
    * [LP-127] - Fix Mac tool install md5 check
    * [LP-128] - ElevateAndCompress is broken at full throttle
    * [LP-134] - Obsolete Google Satellite Version
    * [LP-135] - Aux mag calibration issue
    * [LP-136] - Build errors caused by broken uavobjgenerator make dependencies
    * [LP-153] - Bug in configrevohwwidget.cpp use MAINPORT enum not FLEXIPORT
    * [LP-155] - GCS crashes on OS X 10.11 when the board is halted
    * [LP-156] - Update Vehicle templates to work with current UAVO's

** Epic
    * [LP-1] - Code Rebranding

** Story
    * [LP-3] - Artwork rebranding
    * [LP-4] - Add a Gitter chat link to README.txt
    * [LP-5] - Add back CC/CC3D Support
    * [LP-6] - Laurent/lp 03 artwork rebranding
    * [LP-7] - OP-1879 remove openpilot hardcoding
    * [LP-8] - OP-1929 broken package src
    * [LP-9] - Hotfix for files that were missed in share directory move due to rebase
    * [LP-12] - Openpilot migration
    * [LP-13] - some more OP hardcoding fixes
    * [LP-14] - Remove some more openpilot hardcoding
    * [LP-17] - Laurent/lp 03 artwork icons splashscreen
    * [LP-18] - Makefile fix
    * [LP-19] - Remove openpilot hardcoding
    * [LP-20] - Menu item change
    * [LP-21] - udevdir fix
    * [LP-22] - Desktopfile migration
    * [LP-23] - amorale/lp-05 readd cc rebased
    * [LP-24] - filnet/op 1518 osgearth
    * [LP-28] - Removed OpenPilot reference in About menu
    * [LP-33] - Remove op from gcs dir structure
    * [LP-35] - Removed OpenPilot reference in About Menu
    * [LP-43] - change links and headers in welcome plugin
    * [LP-44] - Review and cleanup to free some memory for CC3D
    * [LP-47] - Fixed missing QDataStream includes to make compilation on qt 5.5 work
    * [LP-48] - French translation
    * [LP-49] - Laurent/lp 48 update rebranding strings translations
    * [LP-50] - Make name define available for all by setting in openpilotgcs.pri
    * [LP-51] - Wrong config tab contents
    * [LP-52] - LP-51 Fix merge issue for Revo / Revonano HW config display
    * [LP-53] - Set up Anonymous data collection to send information to the LibrePilot website
    * [LP-55] - Config fix for echo without -e
    * [LP-62] - Implement rpm spec

** New Feature
    * [LP-100] - Make firmware package
    * [LP-101] - Make build possible with prebuilt firmware

** Task
    * [LP-16] - Vehicle template enhancements.
    * [LP-26] - Update Welcome page plugin.
    * [LP-27] - LP-16 Vehicle templates enhancements
    * [LP-36] - Win install fixes
    * [LP-41] - Add support for ccache
    * [LP-42] - Added option for config file.
    * [LP-60] - Fix project links in readme
    * [LP-92] - Remove old Feed Forward
    * [LP-98] - SystemHealth refresh
    * [LP-99] - Decouple flight build
    * [LP-113] - Create new tool install framework
    * [LP-129] - Remove broken scaleMotor modes
    * [LP-138] - Remove OpenPilot branding from Makefile Help text
    * [LP-141] - Missing link for wiki help page on Stabilization Configuration page
    * [LP-142] - Replace remaining OpenPilot wiki links with LibrePilot links

** Improvement
    * [LP-10] - Cleanup build warnings on OSX
    * [LP-56] - Split roll/pitch acro+ factors
    * [LP-61] - Make more things configurable with make config
    * [LP-64] - Install target for ccache
    * [LP-66] - Add differential Roll mixing to Fixed Wing frames
    * [LP-67] - Add a txpid option that manage all PID factors at once
    * [LP-77] - Jira needs more Component options
    * [LP-80] - Extend linux packaging to easily support new distros
    * [LP-82] - Define all packaging descriptions and URLs in top Makefile
    * [LP-87] - Remove OpenPilot branding from Doxygen Documentation
    * [LP-93] - Thermal calibration should calculate also gyro bias 
    * [LP-94] - Set up Wiki link in Configuration tabs to point to Librepilot Wiki
    * [LP-102] - Remove OpenPilot links in "About Plugins" dialog boxes
    * [LP-106] - Setup Wizard refresh
    * [LP-108] - Fixes for mpu6k
    * [LP-110] - Wizard : high rate servos and normal Esc rate for planes and ground vehicles
    * [LP-114] - Support to more than three Accessory channels
    * [LP-124] - Rename RollRatePID and PitcahRatePID to EasyTuneRateRoll and EasyTuneRatePitch
    * [LP-130] - Add an overridable postfix that is appended to GCS name
    * [LP-162] - Add more data to usage tracker.


--- RELEASE-15.05.01 HOTFIX --- Banana Split ---
This release fixes an important bug.  All Revolution hardware running 15.05 should upgrade to 15.05.01. Note that this is a hotfix; it can
simply be flashed without an erase settings. Furthermore, please review your vtolpathfollowersettings:HorizontalVelMax; a value of around 4m/s would be more appropriate for preliminary trialing of a new release and will be changed in future.

Release Notes - OP Next Generation - Version OP15.05.01

** Bug
    * [NG-55] - 15.05 PositionHold exhibits fly-away behaviour at the vtolpathfollowersettings maxRollPitch and HorizontalVelMax values.



--- RELEASE-15.05 --- Banana Split ---

This release introduces new features and new hardware support for the Revolution Nano.  
Note that the CC3D is not supported by this feature release.  

New features for multirotors include: 
- Fully autonomous flight is now possible with auto-takeoff and landing as flight modes available to path plans.  
- An all new implementation of altitude vario provides improved altitude maintenance and smoother flight.
- A new RateTrainer flight mode for beginners and aerial photographers makes it easier to use this mode by limiting the pitch and roll extents.
- A new GPS assisted VelocityRoam flight mode replacing the PositionRoam flight mode. This uses AltVario and a velocity controller for smooth GPS guided flight.
- 4CH transmitters for multirotor (and 2CH for ground) is now supported if a single flight mode count is set.
- It is now easier to takeoff with an improved axis-lock on yaw implementation.
- Full speed flight just got faster with new motor constraints that maintain your ability to enact roll without requiring an upper throttle limit of 90%.
- Setup of GPS is now automatic with auto-baud detection.
- Support for dual telemetry and minim OSD programing have been added.

Release Notes - OpenPilot - Version RELEASE-15.05

** Bug
    * [OP-1691] - PIOS_DELAY_WaitmS() in RFM22B causes jitter
    * [OP-1732] - Incorrect display of Output Channel/Bank Groups on Revolution for channels 7 to 12.
    * [OP-1756] - Add option to Vehicle Setup Wizard to calibrate all motor outputs at the same time.
    * [OP-1778] - resolve win_sdk_install.sh issue with https://
    * [OP-1793] - Fixes for Sensor module
    * [OP-1794] - AxisLock windup not cleared with low throttle while armed
    * [OP-1834] - Piro Comp - adverse effect in Atti/Ratti Modes
    * [OP-1841] - Serial telemetry is not reliable 
    * [OP-1847] - GPS assist does not update destination when reusing a flight mode for assist
    * [OP-1855] - Limit parsing error in logs when starting GCS
    * [OP-1858] - PathPlanner AutoTakeoff fixes
    * [OP-1867] - PathPlanner AutoLand simplification
    * [OP-1869] - Allow Analog Airspeed scale
    * [OP-1872] - Vehicle Wiz Tricopter tail servo settings don't save
    * [OP-1875] - MagSource changes not applied
    * [OP-1888] - SIGSEGV after starting simulator in HITL
    * [OP-1893] - Deadband changes max stick input
    * [OP-1905] - OPLM in PPM mode blocks telemetry stream if no USB connected
    * [OP-1906] - Auto land - yaw disarm can cause a crash
    * [OP-1915] - google map issue


** Improvement
    * [OP-1289] - Need Revo to send two telemetry streams for OSD and GCS
    * [OP-1464] - Handle Autobaud code for GPS
    * [OP-1734] - Clarify the need of reversing servo in FW vehicle wizard
    * [OP-1736] - Make package label something more meaningful than the date.
    * [OP-1739] - Add GNSS (GPS/GLONASS) selection to UBX autoconf
    * [OP-1750] - Revo state estimation CPU optimization
    * [OP-1776] - Performance optimizations for UAVTalk telemetry
    * [OP-1783] - Fall back PathPlanner flight mode to PH with config warning if no plan
    * [OP-1791] - Change the description of the stabilization modes 
    * [OP-1796] - Upgrade GCS to qt 5.4.1
    * [OP-1797] - Improve GCS workspace layout management reactivity
    * [OP-1798] - GCS ophid plugin is too verbose
    * [OP-1802] - Throttle filterstationary fake pos/vel data rate
    * [OP-1808] - Make the flight mode switch step in transmitter setup wizard to be optional
    * [OP-1814] - Reset Button for mAH used
    * [OP-1828] - Changes ADC module to support other pins as optional analog inputs
    * [OP-1835] - Add motor constraints in place of overhead throttle buffer for enhanced stability and power.
    * [OP-1837] - Add support for Multiplex SRXL protocol
    * [OP-1840] - GPS serlal port needed features
    * [OP-1844] - Create a vagrant environment that contains all the bits for Android development, including Android. 
    * [OP-1848] - Rewrite AltVario/Hold in C++ for functional improvements
    * [OP-1852] - Include version number in window title bar.
    * [OP-1853] - Ground build tidy
    * [OP-1874] - Various improvements to led notifications
    * [OP-1882] - vtol path follower thrust control now set to auto as a default
    * [OP-1884] - Improve low pass filter and gyro tau values
    * [OP-1887] - PFD update 
    * [OP-1897] - Omit unnecessary warning dialog and texts in manual input calibration of Ground Vehicle
    * [OP-1898] - VelocityRoam new flight mode
    * [OP-1902] - MinOPOSD build required for 15.05 compatibility
    * [OP-1903] - Add TxPID controls for AttitudeSettings
    * [OP-1904] - Display current TxPID settings on OSD

** New Feature
    * [OP-1696] - PathFollower C++ Rewrite: Autonomous Landing, Velocity Roam, RTBL, GroundPathFollower
    * [OP-1760] - AutoTakeoff
    * [OP-1769] - Support Ground Vehicles with 2CH receiver and reversible motor
    * [OP-1781] - Ground Input Channel Configuration
    * [OP-1803] - Create UAVTalk objects for receiver signal quality
    * [OP-1818] - Update OP toolchain for compiling osgearth
    * [OP-1832] - Need method to get default UAV Object settings in Java UAVObjects
    * [OP-1849] - Support programming/update of minimosd using USB VCP port
    * [OP-1863] - RateTrainer mode - add maxpitch for beginners and aerial photography

** Sub task
    * [OP-1901] - Add SRXL configuration support to Vehicle Setup Wizard.




--- RELEASE-15.02.02 ---
This release fixes a bug that prevents revo onboard mag to work correctly.

Release Notes - OpenPilot - Version RELEASE-15.02.02

The full list of bugfixes in this release is accessible here:
https://progress.openpilot.org/issues/?filter=12262

** Bug
    * [OP-1820] - fix onboard mag orientation
    * [OP-1821] - Tricopter tail servo wrong speed on wizard
    * [OP-1827] - Version ID wrong in Windows uninstaller
    * [OP-1857] - PPM on Flexi does not work on CC/CC3D

** Task
    * [OP-1831] - due to oneshot higher pid values ki now shows "red" warning in stabilization page 



--- RELEASE-15.02.01 ---
This release fixes an in important bug that may prevent failsafe to work correctly using CC3D/CC with a PWM receiver.

The full list of bugfixes in this release is accessible here:
https://progress.openpilot.org/issues/?filter=12260


Release Notes - OpenPilot - Version RELEASE-15.02.1

** Bug
    * [OP-1812] - CC3D : PWM: Does not go into failsafe when RX is pulled under 50% throttle



--- RELEASE-15.02 --- Ragin' Cajun ---
This release introduces major flight performance improvements, enhancements as well as bug fixes. Many enhancements have been made to reducing dead-time of the communication between the flight controller and ESCs. In our testing, we have found this to be not only the best flight performance so far in the OpenPilot project but the best flight performance of any project we have tested against. This is a recommended upgrade for everyone and the more skilled of a pilot you are, the more you will love this release.

A key improvement that helped achieve this was the addition of the PWMSync code path, this is now enabled by default. Some restrictions applies to CC3D/CC as it needs a compatible input method to enable PWMSync. Compatible input methods are PPM, S.Bus, DSM and OPLink. This release also introduces support for OneShot125 capable ESCs, such as the KISS ESCs and all ESCs supported in BLHeli V13 and above.  Note that OneShot125 support has the same restrictions as PWMSync for CC and CC3D. 

Note for CC3D/CC: To support PWMSync/OneShot125 PPM input pin has changed from earlier releases to the last pin on the input IO port, please refer to the connection diagram in the setup wizard to see the required new pin layout for PPM. 

Other enhancements include key parts of the GCS translated to Chinese and further OPLink reliability additions allowing us to confidently say it can be used as a primary control link as well as for telemetry.

The full list of features, improvements and bugfixes in this release is accessible here:

https://progress.openpilot.org/issues/?filter=12161

Release Notes - OpenPilot - Version RELEASE-15.02

** Bug
    * [OP-969] - Input Configuration Wizard has scrollbars showing up and next/previous buttons are pushed down out of sight
    * [OP-1034] - CCPM Config Widget crashes GCS if required boxes aren't set i.e. Channel set to None
    * [OP-1236] - Icons on Welcome tab - moves to the left
    * [OP-1466] - Gcs crashes on Helicopter config tab
    * [OP-1522] - Improve Robustness of OPLink radio
    * [OP-1601] - Still not enough ram on CC for gps to be usable
    * [OP-1644] - Radio Setup Wiz problem with 6 flight modes
    * [OP-1670] - cruise control conflict with flight modes (rate & acro +)
    * [OP-1680] - OPLink control limited to 1000-1896
    * [OP-1682] - Overflow issue with pwm rx and CC3D 
    * [OP-1686] - Slave OPLM should receive PPM in PPM_only mode
    * [OP-1706] - Output Reverse checkboxes tick them selves when min equals max
    * [OP-1718] - FW vehicle setup wizard may strip servo gears
    * [OP-1722] - libusb include is incorrect.
    * [OP-1728] - FW servos ignore set neutral
    * [OP-1733] - version-info.py should check for version-info.json not git repo.
    * [OP-1735] - Build fails with a tilde (~) in path.
    * [OP-1737] - Min/max will be greyed even if motor output test is canceled
    * [OP-1741] - Repo path is incorrect in version_info.pro
    * [OP-1743] - cc3d fails to connect once "next " is loaded 2-23-15
    * [OP-1744] - Vehicle config wizard produces a bad configuration
    * [OP-1754] - Vehicle Wizard bad config when setting PPM in and RapidESC out
    * [OP-1755] - Add additional path for cloudconfigs
    * [OP-1758] - Upgrade hidapi for all OSs (except windows) to solve mac issue:Fix incorrect device list after device removal 
    * [OP-1761] - Wizard bad config when PPM in, RapidESC out and hexa frame with CC/CC3D/Atom
    * [OP-1764] - System should sanity check RC Input Channel value ranges and raise alarm accordingly
    * [OP-1768] - PWM Sync and OneShot125 wizard output level and warning are incorrect


** Improvement
    * [OP-1519] - Auto Reboot of board when required by Wizard
    * [OP-1576] - Remove tx resent accounting from OPlink
    * [OP-1635] - Remove Quad H from wizard to avoid confusion with Quad X
    * [OP-1650] - Reduce telemetry to improve OPLink
    * [OP-1658] - Sensor driver API and overhaul of sensor module
    * [OP-1683] - Support synchronous (OneShot) and OneShot125 output mode
    * [OP-1685] - Support OneShot/OneShot125 for CC* targets
    * [OP-1694] - Make package make rule non-nested
    * [OP-1698] - Add easy to set channel passtrough GCS functionality
    * [OP-1704] - Add support for sanity check custom hooks
    * [OP-1759] - Hide CC3D non-supported options (GPSAssist)

** New Feature
    * [OP-1723] - RCCar Forward/reverse support


** Task
    * [OP-1721] - C++ enable flight controller and upgrade ARM tools
    * [OP-1738] - change default flight modes and thrust settings
    * [OP-1747] - 15.02 rc1 motor end points do not reflect oneshot125 / pwmsync

** Sub task
    * [OP-1748] - Chinese translation for 15.02
    * [OP-1752] - Add Alarm sub status to SystemHealth


--- RELEASE-15.01 --- Look Ma, No hands ---
This release mainly focuses on a new feature, GPSAssist which is a new form of assisted control for multirotors.  
Assisted Control provides assistance functions on top of existing flight modes.  GPSAssist is the 
first assisted control option available from OpenPilot. GPSAssist supports Attitude and Rattitude 
flight modes and activates braking into position hold when the pitch/roll sticks are centered. Attitude/Rattitude 
may be flown with any of the current thrust modes (manual, cruisecontrol, altvario).  GPSAssist for the PositionHold 
flight mode also introduces a braking sequence when first entering this flight mode and introduces altvario as the thrust mode.

The full list of features, improvements and bugfixes in this release is accessible here:

http://progress.openpilot.org/issues/?filter=12062


** Bug
    * [OP-1501] - Input wizard sets neutral point for throttle too low
    * [OP-1579] - Add LDFLAGS to Makefile sanitized variables
    * [OP-1626] - Satellite dsm2/dsmX binding should depend on proper window timing.
    * [OP-1638] - Transmitter setup can strip servo gears.
    * [OP-1646] - QQmlExpression: Expression qrc:/welcome/qml/main.qml:125:23 depends on non-NOTIFYable properties:
    * [OP-1647] - Welcome QML type error
    * [OP-1653] - Qt 5.2.1 fixes
    * [OP-1654] - Linux libs rpath incorrect
    * [OP-1660] - RCinput manual calibration issue
    * [OP-1662] - SystemHealt more verbose
    * [OP-1681] - Fix debug build of GCS
    * [OP-1699] - Fix build issue with tagged linux release
    * [OP-1701] - Fix linux Qt path config


** Improvement
    * [OP-1071] - Make map "emergency" lines less strong and dashed
    * [OP-1256] - Add Erase Settings step to Vehicle Setup Wizard
    * [OP-1496] - Qt5.3.2 for OSX
    * [OP-1599] - rework position vario modes
    * [OP-1607] - Tab scaling on Vehicle Configuration pages is affected by clicking on "Ground" vehicle.
    * [OP-1611] - Add context menu to Scopes gadget.
    * [OP-1620] - Add fixed-wing Vtail to setup wizard
    * [OP-1622] - Update Ground config tab
    * [OP-1628] - Remove need to manually reboot by unplugging USB cable
    * [OP-1629] - Add erase settings check box (default checked) to wizard firmware page
    * [OP-1652] - Rename WS2811_LED_Out pins
    * [OP-1657] - Linux bin wrapper not needed
    * [OP-1663] - Move Qt inside openpilotgcs lib dir to avoid conflict
    * [OP-1664] - Github pull request clang warnings
    * [OP-1666] - Tidy deb package
    * [OP-1667] - Remove firmware files from packages
    * [OP-1668] - Add a way to select source for the 'Curve 2' in the custom mixer tab.
    * [OP-1674] - Oplink setup : frequency display 

** New Feature
    * [OP-1503] - Yaffs2 file system library integration to Simposix
    * [OP-1637] - AssistedControl
    * [OP-1639] - Make non-git source
    * [OP-1640] - Write make install rule for Linux
    * [OP-1643] - Enable Ground Support in Wizard
    * [OP-1651] - Add GCS command line options to log to file


** Task
    * [OP-1557] - Update Qwt
    * [OP-1558] - Evaluate removal of: ground/openpilotgcs/src/plugins/pathactioneditor/pathactioneditor.qrc 
    * [OP-1648] - Update PFD after flight mode changes
    * [OP-1656] - Upgrade to Qt 5.4.0


--- RELEASE-14.10 ---
This release mainly focuses on flight performance, especially aimed at mini multirotors and adds support for the OpenPilot Platinum GPS (V9).
This version supports the CopterControl, CC3D, Atom and the Revolution Flight controllers as well as the OPLink Modems.

Some key addition in this release:
- A brand new Acro+ flight mode, a Rate mode "on steroids";
- Support for latest OpenPilot Platinum GPS (V9) and its integrated magnetometer;
- Throttle PID Scaling: automatically scale PIDs based on throttle; 
- On board Expo support;
- Several additions to the Setup Wizard such as Fixed wing support, GPS selection, TriCopter servo speed selection and ESC calibration;
- First implementation of Cloud Config, Cloud Config in this release is the first version of the future community based distributed system for sharing vehicle settings; 
- Redesigned PFD artwork and addition of multifunctional slide out panels;
- Support for additional Flexi-IO serial port for Revolution;
- External (ws281x compatible) status LED support;
- Considerable flight performance improvements.  

The full list of features, improvements and bugfixes in this release is accessible here:

http://progress.openpilot.org/browse/OP/fixforversion/10920

NOTE: If you were using OPLink at power levels lower than 100mW, please redo a range test after upgrading to 14.10.

** Improvement
    * [OP-838] - Adding servo update rate to vehicle setup wizard for tricopters.
    * [OP-1088] - Redesign the OPLink GUI in the GCS
    * [OP-1134] - Custom vehicle should show settings from last mixer preset
    * [OP-1156] - Unify path followers into a single module with submodules
    * [OP-1317] - Improvement of IMU wind estimation
    * [OP-1319] - Fix minor spelling mistakes in fw code
    * [OP-1324] - Fix build when python isn't python2
    * [OP-1338] - copydata.pro uses specific icu so version when it doesn't need to?
    * [OP-1370] - Add optional UBX GPS self configuration
    * [OP-1379] - Create a notification module that allows for some Naza like led signalling and more
    * [OP-1395] - Several enhancements/fixes to flight side log
    * [OP-1397] - Add Responsiveness to TxPID
    * [OP-1404] - Add support for UBlox PVT sentence
    * [OP-1405] - Add support for 25qXXX series of flash memories
    * [OP-1406] - Add support for an aux magnetometer
    * [OP-1423] - Populate TxPID Min/Max fields with the current values from the Stabilization page
    * [OP-1429] - Optimize GPSSatellites UAVO
    * [OP-1438] - Change VSI to Arc on the PFD
    * [OP-1440] - Timing on WS2812 to support all models
    * [OP-1447] - Make it easier to adjust the slider on the Output Calibration Setup Wizard page
    * [OP-1451] - Change udev rules from using plugdev group to uaccess/udev-acl
    * [OP-1452] - Usability fixes to ComUsbBridge
    * [OP-1453] - Check if new version of OP Software suite is available, notify if so 
    * [OP-1457] - Hide feed forward tab when in config plugin for Fixed wings
    * [OP-1458] - Remove delays and other quirks from TX Wizard
    * [OP-1462] - Find better default EKF settings
    * [OP-1465] - update stm32flash to support new targets 
    * [OP-1472] - Make connection diagram button more visible
    * [OP-1474] - Scaling back PIDs at high / full throttle with Multis.
    * [OP-1482] - TPS graph needs labels, also scale should not be -100% to +100%, suggest 50% as max
    * [OP-1489] - Hide ILimit stuff
    * [OP-1491] - Create H Quad type in artwork and add to wizard
    * [OP-1493] - Make the discoveryf4bare target more usable from GCS
    * [OP-1504] - Add a SystemSetting field to be used to name the vehicle.
    * [OP-1507] - Optimize GPS module cpu utilization
    * [OP-1508] - SBus Connection Diagram - Vehicle Setup Wizard
    * [OP-1512] - Add ESC calibration to wizard
    * [OP-1515] - Gyro Fifo handling for CC3D
    * [OP-1516] - Create Acro+
    * [OP-1520] - Remove "Attitude" as a selection for Yaw (safety Issue)
    * [OP-1521] - Responsiveness scale
    * [OP-1524] - Render chars/strings in the Uavobrowser
    * [OP-1528] - Enable Telemetry on Flexi-IO (receiver) port on Revo platform
    * [OP-1534] - Add expo and acro insanity factor to TxPID
    * [OP-1535] - MPU handling optimization
    * [OP-1538] - UAVO Browser - embedded descriptions
    * [OP-1543] - Make GPS plugin look sexy
    * [OP-1545] - Add visual feedback to ESC calibration screen on Wizard
    * [OP-1546] - Cloud config uses "none" for the defaults, can this be changed to Generic <airframe type>?
    * [OP-1548] - Remove, the Comp + amg and comp+mag+GPS modes
    * [OP-1552] - Rename Radio Setup Wizard in tools menu
    * [OP-1554] - Allows for enum values in plot showing them as labels
    * [OP-1556] - Improve ESC calibration.
    * [OP-1559] - GPS setup wizard should not say "Main Port"
    * [OP-1566] - Add stop button to ESC calibration in Wizard
    * [OP-1571] - Cloud config enhancements.
    * [OP-1580] - Upgrade Qwt libs to 6.1.1
    * [OP-1582] - Change TX Wizard button to show skip / next on aux channels
    * [OP-1588] - Makes sure all Relay tuning is removed, UAVOs still exist for example
    * [OP-1589] - Save mixer with cloud config
    * [OP-1590] - Copy Bank function for multiple stabilization banks
    * [OP-1624] - Make Aux Mag default if selected via Wizard
    * [OP-1625] - Satellite dsm2/dsmX channel resolution autodetection.
    * [OP-1627] - Clean up PiOS DSM post Matt fix
    * [OP-1635] - Remove Quah H frome wizard to avoid confusion with Quad X

** New Feature
    * [OP-1222] - Add support for Fixed Wing configuration in Vehicle Setup Wizard
    * [OP-1275] - Create a PiOS F0 target
    * [OP-1403] - Add generic I2C/SPI HMC5x83 mag driver
    * [OP-1434] - Support for GPSV9
    * [OP-1476] - Serial bootloader and support tools for F0
    * [OP-1477] - V9 firmware

** Task
    * [OP-1093] - Investigate Font issues on non-Windows platforms
    * [OP-1337] - French translations updates (14.10)
    * [OP-1398] - Qt 5.3.1 upgrade
    * [OP-1468] - Change default PIDs for Atom 
    * [OP-1544] - Change defaults for GPSSettings.UbxAutoConfig to "Configure"
    * [OP-1632] - Add CloudConfigs to install 

** Sub task
    * [OP-790] - Add labels to Custom Mode Vehicle type channels
    * [OP-1399] - Qt 5.3.1 upgrade (Windows)
    * [OP-1400] - Qt 5.3.1 upgrade (Linux)
    * [OP-1401] - Qt 5.3.1 upgrade (Mac)
    * [OP-1435] - Add Up Time, Arm Status and flight mode to PFD 
    * [OP-1439] - Add minor vignette / gradient to PFD
    * [OP-1525] - GUI for Acro+
    * [OP-1577] - Fixed Wing Wizard Images truncated and missing information
    * [OP-1592] - "Cloud config" fails on cc3d 
    * [OP-1605] - Normalize fixed wing mixers and mixing slider jitter while saving

** Bug
    * [OP-609] - Input wizard is too sensitive for some people, seems to create bugs
    * [OP-868] - Text in Barographs is beyond image in Horizontal, Too tight spacing in Vertical
    * [OP-922] - compiling firmware with DEBUG=YES fails in multiple places
    * [OP-1077] - GCS corrupts flight log files (*.opl)
    * [OP-1140] - Weak Leveling code appears to be wrong
    * [OP-1186] - Clean up GCS configuration UI...
    * [OP-1305] - Subpar CC3D and REVO performance on Mini H frames
    * [OP-1349] - GCS Neutral Spinboxes in Input and Output are incorrectly affected by and affect Min and Max
    * [OP-1362] - Translation : 'make ts' errors
    * [OP-1422] - Vehicle Setup Wizard (Tricopter) and Vehicle Mixer Settings Frame type dropdown (Tricopter) do not give the same Pitch mixer settings
    * [OP-1425] - A small typo
    * [OP-1433] - Change the order of the TxPID PID Options
    * [OP-1445] - GCS bugs down in RC Input and Manual Calibration
    * [OP-1455] - No output from "Test outputs" until sliders are moved
    * [OP-1459] - Workaround white-box bug in GCS on OSX
    * [OP-1460] - ICU libraries need to be copied, like they used to be.
    * [OP-1461] - copyqt logic flawed on linux
    * [OP-1463] - New copyqt logic might break if user has alternate OPENPILOT_TOOLS_DIR defined
    * [OP-1473] - Incorrect Handling of EOF bytes for Futaba R7008SB
    * [OP-1478] - Qt Creator build fails on windows
    * [OP-1481] - UAVTalk transacted sends limit the number of waypoints that can sent over a slow link
    * [OP-1483] - Switching from ReturnToBase into PathFollower mode doesn't work reliably
    * [OP-1484] - Yaw rate Ki slider on basic stabilization page out of range
    * [OP-1485] - board target revoproto is broken
    * [OP-1488] - Typo in uavobject.java.template
    * [OP-1494] - First exit from Stabilization page brings up warning, although no changes made
    * [OP-1499] - UBXAutoConfig not Auto Configuring
    * [OP-1506] - Wrong display in altitude / speed + refactoring PFD
    * [OP-1510] - Don't force operating at 100mW
    * [OP-1513] - Filter every temperature measurement used for temperature calibration
    * [OP-1517] - Setup Wizard  - sets SBus and GPS to main port
    * [OP-1522] - Improve Robustness of OPLink radio
    * [OP-1526] - Reverse all motors not working?
    * [OP-1532] - OPLINKMINI and Revo do not communicate correctly
    * [OP-1536] - The Revo ComBridge outputs garbage at the end of transmissions
    * [OP-1537] - OPLink unreliable at high data rates
    * [OP-1539] - AcroInsanityFactor limit parsing error
    * [OP-1540] - Fix GPS v9 reported sha1sum
    * [OP-1542] - Welcome Screen does not show latest available Update
    * [OP-1549] - Maps no longer working
    * [OP-1553] - OPlink does not work as non coordinator
    * [OP-1562] - Welcome plugin warnings
    * [OP-1563] - GCS crashes when doing a manual TX input calibration
    * [OP-1564] - Incorrect display of Thrust mode in PFD Module
    * [OP-1565] - Motors will not stop after 2nd time of using set neutral in wizard
    * [OP-1567] - Fix bugs in Wizard
    * [OP-1568] - Black tooltip over Telemetry monitor
    * [OP-1570] - The Vehicle gadget defaults as a quad x with + mixes 100 100 50
    * [OP-1572] - Wrong frame type displayed in PFD gadget
    * [OP-1573] - Revo disarms in PATHPLANNER flight modes if throttle is low.
    * [OP-1574] - Missing ESC throttle range calibration screen when 50Hz rate is selected
    * [OP-1584] - High RAM usage on CC
    * [OP-1586] - Test outputs can fail to stop motors in some cases
    * [OP-1601] - Still not enough ram on CC for gps to be usable
    * [OP-1603] - Fixed Wing (elevon) : Wizard and Config mixer differs
    * [OP-1604] - Radio wizard crashes
    * [OP-1618] - High CPU load caused by radio module driver
    * [OP-1633] - Wizard enables serial ports on Revo
    * [OP-1634] - Cloudconfigs use wrong path in install

--- RELEASE-14.06.01 --- 
This is the first maintenance release for 14.06.
This mainly fixes a bug causing flips when switching to Weaklevel flight mode.

The full list of features, improvements and bugfixes in this release is accessible here:

http://progress.openpilot.org/issues/?filter=11660

**Bugs
	* [OP-1241] - TxPID Does not work for Bank 3 PID settings
	* [OP-1432] - Hexa config : "Reverse all motors" do not reflect current config after reload
	* [OP-1454] - weak leveling code buggy, causes NAN and crash!

** New Feature & Improvements
	* [OP-1450] - GCS fonts are blurry on OSX and retina displays
	
--- RELEASE-14.06 --- Peanuts Schnapps ---
This is the Mid 2014 release. 
This version supports the CopterControl, CC3D, Atom and the Revolution Flight controllers as well as the OPLink Modems.

This release includes many additions, improvements and fixes, it is the result of many thousands of hours of development and testing.
 
Some key additions in this release:
- Many additions and changes aimed at gps/navigation functionality for the Revolution platform including GPS assisted flight modes: Return To Base, Position Hold, AutoCruise and Position Vario(LOS, FPV and NSEW).
- Stabilization refactoring and enhancements for even better flight performance.
- Completely new sensor calibration routines and greatly enhanced GUI. 
- Additional 3rd Party Hardware support, notably the MS4525DO based airspeed sensors and WS281x LED drivers.
- Performance improvements in both embedded firmware and GCS.

The full list of features, improvements and bugfixes in this release is accessible here:

http://progress.openpilot.org/issues/?filter=11460

** New Feature & Improvements
    * [OP-943] - Start using F4's Core Coupled RAM for more than just the IRQ handler stack
    * [OP-974] - Make Bootloader Version available while flight software is running
    * [OP-975] - Reconsider the calibration process
    * [OP-1063] - Multirotor Configuration
    * [OP-1068] - Add support for magnetometer calibration matrix in place of scaling parameters
    * [OP-1149] - handle thermal bias calculation/calibration to gyro and accel
    * [OP-1150] - Create UI to allow users to perform board thermal calibration
    * [OP-1159] - Remove "Rev" checkboxes on input tab for channels on which it doesn't have an affect
    * [OP-1161] - Add Alarm for Magnetometer if disturbed or uncalibrated
    * [OP-1174] - Beautify Uploader gadget popups
    * [OP-1194] - Scope gadget - plot and legend visibility state should be persisted between runs
    * [OP-1198] - Allow GCS gadgets to save/restore individual state
    * [OP-1216] - Refactor Flight Control Modules
    * [OP-1230] - automatically load the correct firmware file when GCS is running in a development environment
    * [OP-1233] - Add make options to skip qmake and build a specific GCS directory
    * [OP-1245] - Add GUI to control if, what, when and how to do flight side logging.
    * [OP-1247] - Remove Noise calibration from Revo calibration config widget
    * [OP-1250] - Add GPS Protocol configuration in the Hardware configuration panel
    * [OP-1258] - Update GCC ARM Embedded to 4.8-2014-q1
    * [OP-1259] - Cruise Control tweaks
    * [OP-1260] - Rattitude tweaks
    * [OP-1273] - Implementation of the PixHawk airspeed sensor based on the MS4525DO
    * [OP-1282] - Include I2C Alarm into Eagletree speed sensor module
    * [OP-1287] - GPS assisted flight for Revo
    * [OP-1299] - Autodetect number of cells in Battery module
    * [OP-1302] - Improve on board led functionality
    * [OP-1303] - Add PathPlan Alarm in System Health
    * [OP-1307] - Create a bare DiscoveryF4 target for debugging and development purposes
    * [OP-1308] - Set the same logic to CRITICAL Alarm and same logic to ERROR Alarm
    * [OP-1312] - Implement a PIOS WS281x driver
    * [OP-1335] - ConfigTaskWidget - Add support to bind GComboBox to integer property
    * [OP-1339] - System Health panel improvement
    * [OP-1378] - Check Limits for flight modes
    * [OP-1342] - PFD widget emits lots of warning
    * [OP-1350] - TakeOff location handling to be used with RTB
    * [OP-1358] - Split board rotation into user set configuration and calibrated offset
    * [OP-1365] - Add instrumentation functions for flight code
    * [OP-1374] - Automatically enable the right PathFollower
    * [OP-1390] - OpenGL support for older Graphics Cards
    * [OP-1413] - Disable Land flight mode
** Bug
    * [OP-792] - 'Autotune' still showing up in flight mode settings in GCS
    * [OP-1026] - Provide some standard method of calibrating CPU speed and load measurement for boards
    * [OP-1033] - Data transfer errors on USB HID on F1 devices
    * [OP-1043] - Ground OPLinkMini refuses to connect to one Revo unless first connected to another Revo
    * [OP-1056] - GPS does not set home location when erased after lock has been established
    * [OP-1080] - Unreliable detection of board through OPLink
    * [OP-1100] - gcs plist for mac shows wrong associated filetypes, leftover from qtcreator
    * [OP-1131] - Firmware mismatch check is not done if Uploader gadget is not active
    * [OP-1172] - Some fonts are not defined in config files
    * [OP-1196] - Board rotation in GCS not shown correctly upon connection but correctly saved in memory
    * [OP-1212] - Fix Priority queue handling in telemetry
    * [OP-1226] - screen problems
    * [OP-1227] - High CPU load in ratitude mode on CopterControl
    * [OP-1232] - Setting high telemetry rates for periodic uavobject triggers eventsystem warning.
    * [OP-1235] - Some fixes for altitude estimation
    * [OP-1237] - Blank/Black Buttons on Vehicle Configuration Multirotor Throttle Curve
    * [OP-1241] - TxPID Does not work for Bank 3 PID settings
    * [OP-1243] - OPMap widget context menu duplicating some menu separators each time its opened
    * [OP-1252] - Update GCS to qt 5.2.1
    * [OP-1266] - Gyro and accel thermal compensation is not applied if one or more coefficients have negative value
    * [OP-1267] - Incorrect UAV position on GCS OPMap after homeLocation modification
    * [OP-1272] - Unable to debug in SWD mode a revo board
    * [OP-1283] - SystemHealthGadgetWidget::updateAlarms misinterprets coordinates in SVG file
    * [OP-1284] - RTB flies into ground if base is high
    * [OP-1285] - Erase Settings ToolTip is wrong
    * [OP-1288] - GPS PositionHold immediately flies several meters away if Home is not close
    * [OP-1291] - fix matlab import after UAVTalk changes
    * [OP-1294] - Fix stack sizes for CopterControl
    * [OP-1295] - Autoupdate not working
    * [OP-1296] - Altitude Hold causes copter to ascent at full throttle when far from home location
    * [OP-1297] - OPMap fails to read in saved waypoints correctly
    * [OP-1300] - SystemHealth gadget does not show "Configuration Alarm"
    * [OP-1301] - Hardware settings can't be saved with CC/CC3D
    * [OP-1304] - Revo stack alarm
    * [OP-1314] - Fix Airspeed stack size
    * [OP-1315] - Unable to arm UAV when AirspeedSensorType is set to GroundspeedBaseWindEstimation
    * [OP-1323] - GCS font fixes
    * [OP-1325] - fix event system warnings to be errors
    * [OP-1326] - set AIrspeedSensor default back to "None"
    * [OP-1327] - SystemAlarms must be non-acked
    * [OP-1329] - Various fixes to airspeed module
    * [OP-1330] - Cannot set homelocation.set=false when gps reception is optimal
    * [OP-1331] - Input and Output Channel Configuration alignments issues
    * [OP-1332] - PiOS alarms does not reset alarm state on timer overflow
    * [OP-1333] - Output Channel Configuration alignments issues
    * [OP-1340] - Auto-update greyed out - not available
    * [OP-1343] - GCS Configuration - Input Channel ResponseTime not saved
    * [OP-1346] - Input Channel Response Time mismatch between GCS config screen and UAVObject
    * [OP-1347] - Flight logs settings - UI / segfault
    * [OP-1348] - Config Gadget flashes next panel when connecting/disconnecting board
    * [OP-1351] - GCS Calibration UI polishing
    * [OP-1352] - Headwind-improvements for FixedWingPathFollower
    * [OP-1353] - HITL Flightgear fails to set Position and velocity correctly
    * [OP-1354] - Current and voltage not shown in PFD
    * [OP-1355] - magnetometer calibration and board rotation don't play along
    * [OP-1363] - sanitychecks MUST check if magnetometers and GPS are enabled for any pathfollower modes (outdoor mode selected)
    * [OP-1371] - sanitychecks overzealous: hitl/sitl broken
    * [OP-1375] - Update Mag Ki and Kp default settings
    * [OP-1376] - Calibration results not saved to SD
    * [OP-1377] - Calibration config panel has Apply button even when not in Expert mode
    * [OP-1383] - GCS crashes when connected via serial port
    * [OP-1384] - Revo Board Rotation data is cleared to zero by other calibration steps
    * [OP-1389] - GCS Crashes exiting Flight side log window
    * [OP-1391] - System allows arming if current flight mode uses Thrust Control = AH or AV
    * [OP-1393] - SerialPlugin destructor generates valgrind error
    * [OP-1394] - Flight display widget - telemetry data does not zero on disconnection
    * [OP-1408] - Board rotation is not always saved during Revo calibration
    * [OP-1412] - INS13Outdoor Yaw Gyro drift
    * [OP-1415] - Repeated names in CREDITS.txt
    * [OP-1419] - GCS does not set Z magnetometer scale correctly on mag calibration
    * [OP-1421] - Cruise Control xml defaultvalue incorrect

** Tasks
    * [OP-1274] - Update FreeRTOS to 8.0
    * [OP-1337] - French translations updates (14.04/05)
    * [OP-1254] - Update to QT5.2.1 for Linux x86/64
    * [OP-1263] - Move SDL out of Qt install
    * [OP-1309] - Stabilization refactoring

--- RELEASE-14.01 --- Cruising Ratt ---
This is the first 2014 software release. 
This version still supports the  CopterControl and CC3D.
It includes some major "under the hood" changes like migration
to Qt5.1 and QtQuick2 widgets, an overhaul of UAVTalk to improve
Telemetry and OPLink reliability.
Some additions in this release:
- "Rattitude" flight mode;
- Altitude Hold Reimplementation;
- Multiple PID banks;
- "Cruise Control" 

the full list of features, improvements and bufixes shipping
in this release is accessible here:

http://progress.openpilot.org/issues/?filter=11260

** Improvement
    * [OP-771] - Change Wizard wording for better usability
    * [OP-791] - Integrate About Authors, OpenPilot GCS, Plugins dialogs into a single dialog window
    * [OP-803] - Gadgets get their configuration set twice when restoring workspaces during GCS startup
    * [OP-835] - Upgrade GCS to use Qt 5.1.0
    * [OP-883] - Make system and flight targets cleanup, pass 01
    * [OP-913] - Poor UAVObject data structure alignment on flight side causes performance degradation
    * [OP-951] - Add -Wshadow to flight CFLAGS and fix compilation breakage that results
    * [OP-966] - Scope Plugin Cleanup
    * [OP-984] - Provide multi PID banks, these should be assignable per flight mode. 
    * [OP-996] - Add GCS option to remember the last selected workspace
    * [OP-1022] - Additional improvements for altitude hold
    * [OP-1036] - Improvements to Fixed Wing PathFollower and Nav
    * [OP-1059] - Typo (2x) in OpenPilot Setup Wizard - Output Calibration Window
    * [OP-1063] - Multirotor Configuration
    * [OP-1071] - Make map "emergency" lines less strong and dashed
    * [OP-1079] - Update to FreeRTOS v7.5.2
    * [OP-1082] - Add a ticker on the Welcome page showing Jira activity alongside the 'Project News'
    * [OP-1083] - Fix minor English spelling errors in stabilization tooltips
    * [OP-1085] - Upgrade GCS to use Qt 5.1.1
    * [OP-1094] - Turn on Progress for large SDK downloads / remove for MD5 files
    * [OP-1104] - Create BL version 6 to support larger firmware
    * [OP-1105] - If firmware .info blob is missing, test string is too long
    * [OP-1107] - Convert About dialog to QTQuick 2.0 and cleanup code.
    * [OP-1110] - Move Welcome screen to QtQuick 2
    * [OP-1111] - Move About to QtQuick2
    * [OP-1112] - Update contributors in GCS
    * [OP-1113] - Convert new PFD design to QtQuik2
    * [OP-1117] - Implement Horizon mode
    * [OP-1120] - Waypoint upload to board should be transacted
    * [OP-1133] - UAVTalk - expose send/request all instances of multi instance uav objects + related uavtalk fixes
    * [OP-1137] - Make Configuration Checkbox checked by default during uninstall
    * [OP-1141] - Add a further bias correction to barometer to better handle thermal variations
    * [OP-1143] - Missing Linux udev rules for Revolution boards 
    * [OP-1153] - Provide a mean to instrument SystemMod stack utilization
    * [OP-1154] - Config Option to Automatically Increase Copter Throttle per 1/cos(bank_angle)
    * [OP-1158] - Add flight plan consistency checks
    * [OP-1160] - Some dev Env improvements,  git hooks for messages, make prepare etc.

** Task
    * [OP-775] - Add ARM DSP library to OP codebase
    * [OP-813] - Manage merge of translation work to French 
    * [OP-839] - Disable pyMyte dependency until really used
    * [OP-901] - Update STM32 StdPeriphLib to current
    * [OP-1087] - Update Qt used from Makefile to 5.1.1 for Windows and Mac
    * [OP-1109] - Created share Qt5 QtQuick2 port branch
    * [OP-1115] - Remove old artwork from the Artwork folder in Git
    * [OP-1119] - Write GCS plugin to access and display on board logs through uavtalk and export .opl files from logged uavobjects
    * [OP-1058] - UAVO:Implement a structured named accessors for multielement fields (Flight side)

** Bug
    * [OP-844] - Fix header comments in altitudehold.c
    * [OP-845] - Fix reading serial number from USB device on mac platform
    * [OP-846] - make qt_sdk_install fails
    * [OP-865] - PWM output 6 does not work on RM
    * [OP-887] - Provide some standard method of calibrating CPU speed and load measurement for boards
    * [OP-924] - PPM output does not have failsafe
    * [OP-934] - Incorrect timeout handling in rfm22b receiver
    * [OP-971] - Add UI to set AccellTau with revo board
    * [OP-1004] - UAVObjectBrowser, buttons don't work when scientific display is turned on
    * [OP-1014] - Com port connections are not working on OPLink
    * [OP-1018] - Zero point initialization in ETASv3 Airspeed sensor buggy
    * [OP-1027] - Segfault in UAVObjectBrowser when "Request"ing a UAVObjectCategory
    * [OP-1042] - Revo firmware version isn't read correctly through OPLink
    * [OP-1046] - Waypoint upload incomplete, no visual confirmation of failed uploads in uavobjectbrowser and waypoint editor
    * [OP-1048] - Attitude is not working with AccelTau > 0
    * [OP-1049] - CC3D attitude estimation failure after multiple settings changes and reboots
    * [OP-1067] - Invalid value for "LinkState"
    * [OP-1076] - CF Attitude filter in next randomly re-initializes on arming.
    * [OP-1078] - GCS segfaults if you close it after playing a log file
    * [OP-1080] - Unreliable detection of board through OPLink
    * [OP-1095] - GCS crashing on macosx 10.9 upon connection of oplink mini
    * [OP-1098] - CDC driver fails installation in Windows 8 or 8.1
    * [OP-1099] - Hidden icons in Configuration tab
    * [OP-1101] - Tools.mk has a few tabs and they need to be converted to spaces
    * [OP-1102] - OP GCS registers some file types is should not
    * [OP-1103] - GCS can not be compiled on OSX 10.8 after update to Qt5.1.1
    * [OP-1108] - Minor bugs found while reading the code
    * [OP-1114] - QGLWidget prohibits QListWidgetItem, set AA_DontCreateNativeWidgetSiblings as work around
    * [OP-1118] - QComboBox in UAVObjectBrowser does not stay in focus on Mac OSX
    * [OP-1121] - GCS will not exit if the Waypoint editor/PathPlanner dialog is open
    * [OP-1123] - GCS assertion failure when loading a waypoint file
    * [OP-1125] - UAVTalk - acking/nacking multi instance uavobjects is broken (when sending individual instances)
    * [OP-1132] - LIBEAY32.dll missing from installer
    * [OP-1139] - Add higher order correction to MS5611 driver for low and very low temperature compensation 
    * [OP-1142] - No yaw in Horizon mode
    * [OP-1145] - OPLM to GCS link not reliable
    * [OP-1148] - Futaba R7008SB S.Bus protocol not supported
    * [OP-1151] - PFD display - inverted flight
    * [OP-1152] - Check Stack usage for CopterControl & CC3D
    * [OP-1155] - Fix OSX Packaging for GCS
    * [OP-1157] - sin_lookup_deg() returns garbage for negative angles
    * [OP-1166] - GCS misses yaw neutral setting on sync from initial connection
    * [OP-1167] - New flight mode switch position UAVO to work better with SITL, HITL
    * [OP-1168] - GCS Reload Board Data button doesn't work
    * [OP-1169] - GCS UAVO object titles off by one
    * [OP-1176] - Cruise Control checkboxes use wrong Default button
    * [OP-1177] - AltHold - Need a setting to allow disabling of bank angle throttle compensation in AH
    * [OP-1178] - After re-factoring of ConfigTaskWidget code the OPLink config page does not work reliably.
    * [OP-1179] - About box not working in Linux64 build (but probably the same is for Linux32)
    * [OP-1180] - GCS AltHold Tab - Reload button and update in real time
    * [OP-1181] - on radio configuration the pitch slider has maxed out on its own three times randomly
    * [OP-1182] - Telemetry monitor widget is too small on Mac
    * [OP-1183] - UAVBrowser displays hex string as decimal
    * [OP-1184] - Scope gadget - Stack monitor configurations need a cleanup
    * [OP-1188] - Optimize Stabilization Module stack size usage 
    * [OP-1191] - Revo OPLink bug in GCS
    * [OP-1192] - Even though Throttle is off there is motor movement in some situations.
    * [OP-1211] - dT calculation in Stabilization and other modules unsafe
    * [OP-1218] - PIOS_COM is not thread safe
    * [OP-1228] - GCS Quits unexpectedly

--- RELEASE-13.06.04 ---
This maintenance release includes the following fixes missing in (previously not released to public) RELEASE-13.06.03.
- Fixed issues with Google Maps;
- Includes new signed version of CDC drivers for Windows platforms;

JIRA issues addressed in this maintenance release:
OP-1044, OP-1070, OP-1072
Use the following link for a comprehensive list of issues addressed by this release

http://progress.openpilot.org/issues/?filter=11060

--- RELEASE-13.06.03 ---

This maintenance release addresses the following issues:
- Fixed CC3D attitude estimation failure after multiple settings changes and reboots.
- Fixed OPLink crashes when erasing settings

JIRA issues addressed in this maintenance release:
OP-1049, OP-1050 

--- RELEASE-13.06.02 ---

Refactoring of OPLink radio driver.  Auto-configuration was removed, and a
one-way link was added, including a ppm-only mode that is intended to be used
when only a PPM link is desired.  PPM-only mode configures the modem as a
one-way link running at 9600 bps (air datarate) and only sends PPM packets.

--- RELEASE-13.06.01 --- Italian Stallion Release ---
It applies the following changes to previously not released to public RELEASE-13.06

- Temporary disabled AltitudeHold and AltitudeVario flight modes. They were not
officially supported. But since people expected well-known production quality
behavior, it is better to make them final, then reenable
- Fix windows hid connection failure if board was already connected and gcs started;
- Fixed a bug that lead to disabled controls with some settings combination in CC/CC3D hardware page
- Fixed a bug that prevent to correct saving stabilization settings for CC/CC3D
- Fixes Uploader GUI and automatically close AutoUpdate panel after 7s

JIRA issues addressed in this release:
OP-1028 OP-1020 OP-1024  

--- RELEASE-13.06 ---

This is the first official OpenPilot Revolution software release. This version
also supports the CopterControl, CC3D, OPLinkMini and the upcoming OP OSD.
There a number of significant backend changes in this version compared to
previous software releases: from new toolchains and build system to a source
code reformatting that is inline with our project style guidelines.

The goal of this release is to provide CC3D-style features for the new
Revolution platform (using the Revo's internal modem and external OPLinkMini
board). Advanced features such as Altitude Hold, Position Hold, Guidance,
Return to Home, and AutoLanding are still in development and will be available
in future releases. The availability of those features will depend on how many
people are able to contribute with code, testing and documentation.

Remember that the first Revo hardware batch was intended for developers/
bleeding-edge testers, not end users who want a 100% final platform.

- New bootloaders are REQUIRED for this release to support new features such
  as erase settings and others. As always, bootloaders can be updated without
  any special programmer hardware using the bootloader updater firmware files.
- F1 boards (CC, CC3D, OPLinkMini) require bootloader version 4 or higher.
- F4 boards (Revolution, OSD prototype) require bootloader version 5 or higher.
- Check the wiki for details of how to update them:
  http://wiki.openpilot.org/display/BUILDS/Bootloader+update

Please remember to take a moment to view these important tutorials:
  http://wiki.openpilot.org/display/Doc/OpenPilot+Tutorials

What's New / Release Notes
--------------------------

NEW:

- Firmware folders removed.
  The firmware files folder has been removed in this release. These files
  are now integrated into the GCS so they are always up to date and there is
  less risk of a firmware mismatch. To update your firmware you must use
  either Vehicle Setup Wizard (big green button at the top right on the
  Welcome GCS tab) or the new Auto-Update button on the GCS Firmware tab.

- Responsiveness sliders.
  To simplify tuning, we have introduced a new Responsiveness slider that
  will allow you to modify stick response. For best results, you should
  still tune your system with PIDs as tight as possible for better
  stabilisation. This will result in better stabilisation, and at the
  same time soft or sharp response according to your preferences.

- Auto-Update firmware.
  This feature simplifies all OpenPilot board firmware updates. Now all
  you have to do is click "Auto-update" on the Firmware tab and follow the
  instructions to reflash your OpenPilot board. This is essentially the
  same as Rescue but uses the embedded firmware images so there is no need
  to browse for them anymore.

- Erase Settings Option.
  We previously had a hacky way to delete bad or incompatible settings from
  our OpenPilot boards. This old special firmware that did this is now
  deprecated and the functionality is now integrated into the latest
  bootloaders and firmwares.

  To erase settings enter DFU (boot) mode (using Halt or Rescue function)
  and click the "Erase settings" button on the Firmware tab and follow the
  instructions. This will NOT work with an older bootloader and the "Erase
  settings" button will be disabled if an out of date bootloader is detected.

- Language defaults.
  GCS now uses the system default language (only French and English are
  available currently, please contribute translations). You can change the
  language in the GCS Options at any time.

- CDC driver install option (Windows only).
  This is an optional USB virtual serial port that is useful, for example,
  for updating your GPS configuration using the U-Blox u-Center software.
  It is NOT required for normal configuration of OpenPilot boards. If it is
  not installed, virtual serial port features will not be available. This
  driver is not signed by Microsoft, but in fact it uses serial port drivers
  from Windows and only the driver information INF file is supplied by
  OpenPilot.

- Lots of help tooltips were added to the GCS. Hovering your mouse over an
  option in the GCS will show them, please review for help during tuning/
  setting up.

- A large amount of general improvements, code clean ups and minor bugs
  resolved.

KNOWN ISSUES:

- On Linux you should remove the OpenPilot package if it was previously
  installed, then install this new one. This is a known issue and likely
  be fixed later.

- Due to changes in USB descriptors to support new features, USB drivers
  on Windows must be updated. If after using Rescue or Wizard or Auto-Update
  button the GCS cannot connect to the board, you may be experiencing this
  USB issue. To resolve it you should remove the old drivers (ones with
  yellow exclamation mark) and allow Windows to find them again.

  Here is how to do it:

  Windows XP:
   - Right click on "My Computer" on your desktop and select "Properties".
   - Select the "Hardware" tab.
   - Select the "Device Manager".
   - Scroll down the list until you see the "Universal Serial Bus Controllers"
     selection.
   - Click it to expand the list of USB drivers. Right-click on the driver(s)
     you wish to uninstall and select "Uninstall".

  Windows 7/Vista:
   - Right click on "My Computer" on your desktop and select "Properties".
   - Select "Device Manager" in the upper left-hand corner of the window.
   - Scroll down the list until you see the "Universal Serial Bus Controllers"
     selection.
   - Click it to expand the list of USB drivers. Right-click on the driver(s)
     you wish to uninstall and select "Uninstall".

  Then disconnect the board from USB, wait few seconds and re-connect it to
  your computer. Windows should find new drivers and install them properly.

- If GCS crashes when switching to the Flight Data tab, it usually means
  your PC needs newer video drivers. That tab contains a ModelView widget
  which uses OpenGL. It is known to crash on some graphics cards with old
  and buggy drivers.

- Sensor calibration is not final. It will be reworked completely to
  increase its accuracy and make it easier to use.

- Until the calibration is reworked, default attitude estimation algorithm
  used by Revo is a complimentary filter with magnetometers disabled. Hence
  Revo does not use them yet to correct yaw drift. Magnetometers can be
  enabled, but you should properly calibrate them first. That's the reason
  why they are disabled by default.

- AltitudeHold/Vario modes are enabled but not officially supported. Do
  not expect it to work perfectly and be considered production quality.
  You may play with it and report your issues and suggestions at your own
  risk. If you are not using a case for your Revo, we strongly recommend
  covering the barometer sensor with some foam to shield the sensor from
  wind and light.

- Note that throttle stick in AltitudeVario mode is used to control vertical
  velocity, sometimes called vario altitude in other platforms, centre stick
  means hold altitude and there is a dead band around centre stick.

- There are currently no configuration options for the Radio module in
  the Revolution except for Radio enable/disable and output power. This is
  intentional because all configuration should be done using its paired
  ground OPLink coordinator.

  How to configure the Revolution to OPLinkMini radio link:

  - Make sure you have the newest bootloaders and matching firmwares
    between the Revolution, GCS and OPLink.
  - Enable the radio in the Revolution, click save and disconnect the board
    from USB.
  - Power it from external supply to continue.
  - Then connect the OPLink board to USB and scroll down in the GCS config
    widget to find OPLink icon at the end of list. This icon is only
    available when an OPLink is detected.
  - To pair the two radios, select the Revolution side radio address in the
    list of found boards, select it, click Add to add to the list of paired
    radios and click Save. After unplugging the board from the USB and
    plugging back your OPLink it should show "Connected", and you can
    continue with the configuration.

- Do not set the Revolution modem or OPLinkMini output power to high values
  without antenna connected, this can damage the hardware.

JIRA issues addressed in this release:

Due to major rework of all code and integration of Revo code into mainline
(next) it is almost impossible to list all corresponding JIRA issues for the
list above. Some of them can be found using this link:
  http://progress.openpilot.org/issues/?filter=10860

OP-678,  OP-682,  OP-693,  OP-719,  OP-726,  OP-727,  OP-747,  OP-761,  OP-769,
OP-770,  OP-772,  OP-781,  OP-784,  OP-792,  OP-804,  OP-807,  OP-812,  OP-816,
OP-817,  OP-820,  OP-821,  OP-834,  OP-843,  OP-846,  OP-854,  OP-855,  OP-856,
OP-861,  OP-864,  OP-867,  OP-871,  OP-873,  OP-874,  OP-875,  OP-879,  OP-885,
OP-886,  OP-888,  OP-889,  OP-890,  OP-891,  OP-892,  OP-893,  OP-894,  OP-895,
OP-896,  OP-897,  OP-898,  OP-899,  OP-900,  OP-903,  OP-905,  OP-906,  OP-907,
OP-910,  OP-912,  OP-917,  OP-920,  OP-925,  OP-926,  OP-928,  OP-935,  OP-936,
OP-939,  OP-952,  OP-955,  OP-957,  OP-958,  OP-965,  OP-968,  OP-969,  OP-970,
OP-977,  OP-979,  OP-980,  OP-981,  OP-982,  OP-983,  OP-988,  OP-989,  OP-990,
OP-991,  OP-993,  OP-997,  OP-998,  OP-999,  OP-1000, OP-1002, OP-1005, OP-1007,
OP-1008, OP-1009, OP-1010, OP-1011, OP-1012, OP-1013, OP-1015, OP-1016, OP-1021

Short summary of changes. For a complete list see the git log.

Flight code changes:
- initial version of Revo code;
- initial version of OPLinkMini code;
- CopterControl/CC3D code reworked to reuse parts of Revo code;
- switched to new ARM-supported GCC 4.7 toolchain with hardware floating point support;
- major code cleanup and use of compiler warning flags to early catch errors;
- major directory and Makefiles reorganisation and cleanup;
- all source code fixed to use float variables instead of doubles (to use hardware FPU);
- added multi-binding support for OPLinkMini;
- added frequency hopping for Revo and OPLinkMini;
- added auto-configuration for OPLinkMini remote modem / Revo;
- replaced entire flash generation code;
- new U-Blox GPS binary protocol parser;
- added STM32 DSP library;
- updated STM32 CMSIS library;
- updated STM32 USB OTG driver;
- updated STM32 F1 StdPeriph driver library;
- updated STM32 F4 StdPeriph driver library;
- updated FreeRTOS (real-time operating system used by the flight code to run many tasks);
- PyMite moved to a library;
- fixed nasty bug in PyMite Makefile, single file was rebuilt 5 times fo no reason;
- added configurable accel/gyro rates;
- added visualisation of errors in bootloader updater;
- added numerous sanity checks to the flight code to prevent unsafe arming;
- new flash file system, much faster and higly optimised;
- Revo data flash is splitted into two partitions, one for settings, another for user data (logs, etc);
- OPLinkMini now stores settings in the MCU flash using FlashFS too;
- a catalog of known flash types is used to support different flash types by the same firmware;
- fixed broken overo submodule remote repository link;
- fixed DSMX protocol error with some Tx/Rx combintions;
- added new pios_*.h headers to support commonly used constants, functions and defines;
- numerous fixes for data alignment and memory allocation strategy;
- new bootloaders to support more features (for example, board settings erase);
- added new feature to erase settings without special firmware;
- removed CC/CC3D setting erase firmware (now not necessary due to new erase feature);
- introduced new delayed callback scheduler to run modules from a single task;
- many changes to AeroSim-RC simulator interface;
- fixed broken debug pins API;
- fixed few bugs in the EKF code;
- introduced bootloader updater for F4 boards (including Revo and OSD);
- some changes in RAM and flash memory partitioning to better utilize resources;
- changes in bootloader to allow remote reboot via serial port or radio modem;
- the EKF "Huge Formula" is replaced by optimised set of of loops to make it editable;
- Cyr's attitude patch is ported from CC3D to Revo;
- added magnetometer options (mags are disabled by default for Revo complimenary filter);
- advance camera stabilisation is now officially released;
- Revo alarm led now distinguish between Critical(lit led), Error(blink fast), Warning(blink slowly) Alarm condition
- Revo alarm led flash fast(like in Error Alarm) during calibration using complementary attitude estimation.
- Redo gyro bias zero after calibration parameters changes
- Do not raise GPS alarm if a gps port is not configured.
- fixed numerous internal firmware bugs (too many to list here).

GCS code changes:
- nice loading splash screen;
- now GCS uses system language by default if translation is available, English otherwise;
- French translation officially added. Please help with other languages;
- fixed some crashes of uploader gadget;
- fixed double config read on restore;
- improvements in GCS options dialog handling;
- optimised option dialog creating;
- added UI tooltips for many options;
- removed unused yet options from configuration UI;
- removed GCS config dialog on the first run, one default is used now if missing;
- added Revo configuration page, similar to CC/CC3D one;
- added OPLinkMini configuration page;
- hardware options are now dynamically enabled/disabled to allow supported configurations only;
- new artwork for all boards everywhere;

- optimised some 3D models;
- new About dialog showing version info and contributors list;
- fixed badly broken HiTL options dialog;
- fixed compilation problem on OSX, now GCS should be compatible with OSX 10.5+;
- major vehicle config cleanup with lazy creation (speeds up GCS start);
- UI config pages improvements (responsiveness, etc)
- new auto-update feature added, *.opfw firmware files removed from distributables;
- anti-aliased scope plugin;
- numerous code fixes and cleanups (too many to list here);
- USB HID code is replaced by new cross-platform hidapi library to fix old Linux/OSX problems.
- Adds GUI to set Altitude Hold filter parameters.
- Adds configurable units for velocity/speed and altitude in QML PFD. Units are configured in settings panel.
- Reduces precision of the PDOP value in the PFD display to 1 decimal.
- Remove deprecated powerlog

Common parts:
- added simple toolchain install make targets;
- added self-hosted toolchains to ensure that they're always available;
- added support for globally istalled tools used by many working copies;
- added Windows bootstrap script to pull all other build tools;
- added unit testing framework, also supported by Bamboo CI server and agents;
- added code style formatting make targets, easy to use by developers;
- added doxygen make targets. The documentation still must be completely revised, though;
- enforced global line ending policy, source files are updated accordingly;
- reworked packaging to provide correct dependencies and safe multi-threaded builds;
- multiply renames of board names and directories, now we have correct names;
- fixed dependencies in Makefiles, now 'make -j' works reliably;
- CLEAN_BUILD make option is deprecated, use 'package' or 'clean_package' instead;
- simposix elf is now included into linux distribution and can be run with default GCS settings;
- revised 'make help' message;
- updated Windows driver to support Revolution and use correct board names.

Android GCS:
- old and buggy code was removed;
- full rewrite has been started.

Infrastructure:
- Bamboo continuous integration server is actively used;
- around 10 build agents running 4 different operating systems are set up;
- every push to any branch is now build-tested, and unit tests run are performed;

2012-11-17
Advanced camera stabilization features.
They include optional manual control input filtering (moved from camera stabilization to manual
control input and now available also for main controls), optional airframe attitude filtering
used by camera stabilization, and optional camera actuator feed forward to improve gimbal response.

--- RELEASE-12.10.2 --- Mayan Apocalypse Release ---

List of issues resolved in this maintenance release:
http://progress.openpilot.org/issues/?filter=10361

OP-459, OP-545, OP-674, OP-679, OP-685, OP-686, OP-687, OP-690, OP-691,
OP-702, OP-703, OP-714, OP-715, OP-716, OP-721, OP-728, OP-746, OP-748,
OP-749, OP-750, OP-758, OP-759, OP-760

Here is a list of some known unresolved issues. If an issue has JIRA ID [OP-XXX],
you may track it using the following URL: http://bugs.openpilot.org/browse/OP-XXX

+ Only French translation is updated, use English for other locales or help with translations.
+ Radio Wizard confused by a reversed throttle, fix it on your transmitter before starting wizard.
+ Radio Wizard Throttle display does not show full range properly.
+ [Windows 8] USB Driver is broken.
+ Firmware Update Instructions on Firmware Tab not entirely accurate for all upgrade paths.
+ Tricopter's using Vehicle Wizard need to check servo does not need reversed manually.
+ XAircraft ESCs uses non-standard PPM range which may cause issues with Vehicle Wizard.
+ Spectrum Satellite Receivers setup in Radio Wizard may have wrong protocol set.
+ Old Intel 965 have an OpenGL bug that turns the QML PFD black and while.
+ [OP-732] Import UAV Settings for inactive modules crashes the running firmware (board restarts).
           Workaround: update firmware, power cycle, enable modules, power cycle, import configuration.
+ [OP-747] Board infinitely reboots itself after firmware upgrade (settings erase firmware is a workaround).
+ [OP-723] GCS uses the system language ot the 1st run. After restart it uses English (can be changed later).
+ [OP-725] GCS camera stab config error message disappears too fast (but config error is cleared as it should)
+ [OP-767] GCS does not send AttitudeActual packets over serial port when GPS is connected and system is armed
+ [OP-768] GCS does not show UAV position on the map (master or next CC branches, but works in Revo branches)
+ [OP-769] Can't enter "12,45" on German system. Workaround: change GCS language (in fact, locale) to German.

2012-11-12
Implemented smoothing filter for accelerometer data.
Added support for Mode 3 and Mode 4 to the TX Configuration Wizard.

--- RELEASE-12.10.1 ---

2012-10-26
Temporary disabled AutoTune GCS GUI. It was listed as an experimental
feature in the previous release, there were however a few cases where
it did not behave as expected.

--- RELEASE-12.10 ---

2012-10-06
Receiver port can now be configured as PPM *and* PWM inputs.
Pin 1 is PPM, other pins are PWM inputs.

2012-07-27
Added the ability to load stylesheets from external file according to operating system:
macos.qss, linux.qss, windows.qss
Files should be placed inside the app folder.

2012-07-27
Several UI changes. 
MixerCurveWidget refactoring, now as a simple and advanced view.

2012-07-27
Added "advanced mode" option to general settings. Right now it only shows the hidden apply buttons.
To enable go to tools->options->General and click one of the checkboxes to give focus to the form,
then press F7

2012-07-27
Made the flight mode switch and accessory pots move according to user input on the input wizard.

2012-07-27
Changed the board pictures on the uploader widget

2012-07-27
Add more verbose debug output on the UAVOBJECTS saving code.

2012-08-11
CopterControl can now emulate an 8-channel USB HID joystick.  Primarily,
this lets you use any RC transmitter with flight simulators on your PC.

2012-07-20
AeroSimRC simulator plugin is now included into the Windows distribution
(will be installed into .../OpenPilot/misc/AeroSIM-RC directory).  Still
being an experimental development tool, it could be used to play with
HITL version 2.  Other platforms include udp_test utility which can be
used to check the connectivity with AeroSimRC plugin running on Windows
machine.

2012-07-10
On Windows the installation mode was changed from per-user to per-machine
(for all users) installation.  It is recommended to completely uninstall
previous version before installing new one to remove per-user installed
files.  Per-machine installation requires elevated (administrator) previleges
during install.  But since the same rights are now required to install
optional CDC driver (virtual communication port), it was deemed acceptable.

2012-06-04
AeroSimRC support merged into next

2012-05-26
VirtualFlybar which allows a more aggressive flight mode than rate mode
support.  Also PiroCompensation added.

2012-05-26
Revert some UI changes that didn't work consistently between OSX and Windows.

2012-05-24
Merged the updated firmware for the PipXtreme, thanks to Brian for a lot of
work on this.

2012-05-04
Support for CC3D.  This involved changes to various things such as the sensors
being split from AttitudeRaw to Accels,Gyros,Magnetometer.  A single firmware
image fw_coptercontrol will run on both CC and CC3D.  When compiling the
bootloader one must set the HW_REVISION to the appropriate value.  0x01 is for
CC and 0x02 is for CC3D.  If the wrong bootloader is installed the firmware
will not run.

2012-05-02
Reduction in the memory usage due to the UAVObject metadata.  Now the update
periods are using a smaller data type and the various flags relating to access
controls and update modes are stored in a bitfield.  The UAVObjectBrowser has
not been updated to allow these modes to be easily changed.

2012-03-31
Support for ground vehicle configuration has been added to the the GCS.

2012-02-14
New QML based system to allow more flexible UI.  Upgraded stabilization
configuration.

2012-01-02
CC FW now supports USB Virtual Com Port (VCP/CDC) in addition to the original HID interface
New ComUsbBridge module can bridge any serial port to the USB CDC port
CC FW now detects repeated faults during init and boots with default hwsettings

2012-01-02
Added new camera stabilization features: AxisLock mode and LPF.

2011-12-10
Merged a change that sorts the UAVO fields based on size.  Because this changes
all of the objects, erase all existing flash files based on this.

2011-11-04
New Spektrum/JR satellite receiver driver implementation.
It now provides explicit selection of DSM2 (and DSMJ), DSMX (10bit) and
DSMX (11bit) serial protocol variations to better serve different frame
and resolution modes. The protocol name used now is DSM instead of
previously used Spektrum to make it less ambiguous when used with JR
2.4GHz radios.

2011-10-20
Inputs can be remapped to outputs to allow up to 10 channels of control.  The
receiver inputs remap as follows:
Receiver 3 because output channel 7
Receiver 4 because output channel 8
Receiver 5 because output channel 9
Receiver 6 because output channel 10

2011-10-11
Fix for the Mac telemetry rates and specifically how long enumeration took.

2011-10-08
Make the flash chip need to be have bad magic for a full second before erasing
settings.  Should avoid random lost settings.

2011-09-12
Max rate now ONLY applies to attitude and axis lock mode.  Manual rate is the
only term that limits the rate mode now (and in axis lock when you push stick
only manual rate applies).  Also integrals are reset when unused.

2011-09-09
Some large updates to the input system.  Now multiple receivers can be
connected at once.  A wizard was added for configuring the input channels.  A
specific collective pitch channel was added.

2011-09-04
Improvements to the failsafe handling code for inputs.  PWM power off is now
detected properly.  Powering on transmitter for Spektrum Satellite no longer
causes a glitch on servos.

2011-08-10
Added Camera Stabilization and a gui to configure this.  This is a software
selectable module from the GUI.  However, a restart is required to make it
active.  The GUI does not currently expose the configuration for using the
transmitter to change the view angle but this is supported by the hardware.

2011-08-10
By default a lot of diagnostic objects that were enabled by default are now
disabled in the build.  This include TaskInfo (and all the FreeRTOS options
that provide that debugging information).  Also MixerStatus, I2CStatus,
WatchdogStatus and RateDesired.  These can be reenabled for debugging with
-DDIAG_ALL.

2011-08-04
Fixed packaging aesthetic issues.  Also avoid runtime issues on OSX Lion by
disabling the ModelView and Notify plugins for now (sorry).

2011-07-29
Added support for PPM receivers from James W. Now all 4 interfaces (R/C
standard PWM, combined PPM (MK), Spektrum satellite, Futaba S.Bus) are
supported and configurable through the GCS hardware configuration tab.

2011-07-17
Updated module initialization from Mathieu which separates the initialization
from the task startup.  Also implements a method to reclaim unused ram from
initialization and end of memory for the FreeRTOS heap.

2011-07-12
Improvements to the stabilization code.  Included a LPF on the gyros to smooth
out noise in high vibration environments.  Also two new modes: axis-lock and
weak leveling.  Axis-lock will try and hold an axis at a fixed position and
reject any disturbances.  This is like heading-hold on a heli for the tail but
can be useful for other axes.  Weak leveling is rate mode with a weak
correction to self level the craft - good for easier rate mode flying.

2011-07-07
Dynamic hardware configuration from Stac.  The input type is now
selected from ManualControlSettings.InputMode and the aircraft must be rebooted
after changing this.  Also for CopterControl the HwSettings object must
indicate which modules are connected to which ports.  PPM currently not
working.
